Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.jsf
Class OptionalParameterMethodExpression

    java.lang.Object
      javax.el.Expression
          javax.el.MethodExpression
              org.jboss.seam.jsf.OptionalParameterMethodExpression

All Implemented Interfaces:
  Serializable

    public class OptionalParameterMethodExpression

extends javax.el.MethodExpression

See Also:
  Serialized Form

Constructor Summary
`OptionalParameterMethodExpression(javax.el.MethodExpression withParam, javax.el.MethodExpression withNoParam)`

Method Summary
`boolean` | `equals(Object object)`
`String` | `getExpressionString()`
`javax.el.MethodInfo` | `getMethodInfo(javax.el.ELContext ctx)`
`int` | `hashCode()`
`Object` | `invoke(javax.el.ELContext ctx, Object[] args)`
`boolean` | `isLiteralText()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OptionalParameterMethodExpression

    public OptionalParameterMethodExpression(javax.el.MethodExpression withParam,
                                             javax.el.MethodExpression withNoParam)

Method Detail

### getMethodInfo

    public javax.el.MethodInfo getMethodInfo(javax.el.ELContext ctx)

  Specified by:
    `getMethodInfo` in class `javax.el.MethodExpression`

### invoke

    public Object invoke(javax.el.ELContext ctx,
                         Object[] args)

  Specified by:
    `invoke` in class `javax.el.MethodExpression`

### getExpressionString

    public String getExpressionString()

  Specified by:
    `getExpressionString` in class `javax.el.Expression`

### isLiteralText

    public boolean isLiteralText()

  Specified by:
    `isLiteralText` in class `javax.el.Expression`

### equals

    public boolean equals(Object object)

  Specified by:
    `equals` in class `javax.el.Expression`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `javax.el.Expression`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD